Saltar al contenido
MultiFactu · Blume POC
Español
Esc
navigateopen⌘Jpreview

Download NO VERIFACTU invoice request/response XMLs

POST/no-verifactu/invoices/xmls
Request body
requiredapplication/json
numberstringrequired
Invoice number. Required. The concatenation of series + number cannot exceed 60 characters.
seriesstringrequired
Invoice series. Can be empty string (""). Must not begin with a space. The concatenation of series + number cannot exceed 60 characters.
matches NO_LEADING_SPACE_OR_EMPTY_RE
Responses
200Invoice XMLs successfully retrieved
correlationIdstring
Correlation ID for tracking the request
dataInvoiceXmlItemDto[]required
Array of invoices with their VeriFactu XML request and response
Show properties
Array of InvoiceXmlItemDto
operationstringrequired
Type of VeriFactu operation (SUBMISSION, CORRECTION, CANCELLATION)
Allowed:SUBMISSIONCORRECTIONCANCELLATION
requestXmlstring<xml>required
Raw XML request sent to VeriFactu AEAT
responseXmlstring<xml>required
Raw XML response received from VeriFactu AEAT
uuidstringrequired
Internal UUID of the invoice
400Bad request
correlationIdstringrequired
messagestringrequired
pathstringrequired
statusCodenumberrequired
successbooleanrequired
timestampstringrequired
500Internal server error
correlationIdstringrequired
messagestringrequired
pathstringrequired
statusCodenumberrequired
successbooleanrequired
timestampstringrequired
Request
curl -X POST "https://api.multifactu.com/no-verifactu/invoices/xmls" \
  -H "Content-Type: application/json" \
  -d '{
  "number": "2025/00123",
  "series": ""
}'
Response
{
  "correlationId": "123e4567-e89b-12d3-a456-426614174000",
  "data": [
    {
      "operation": "SUBMISSION",
      "requestXml": "<SuministroLRFacturasEmitidas xmlns=\"...\">...</SuministroLRFacturasEmitidas>",
      "responseXml": "<RespuestaLRFacturasEmitidas>...</RespuestaLRFacturasEmitidas>",
      "uuid": "bcda84ec-a5a7-4af3-a8fa-3c754b32711a"
    }
  ]
}